<form class="create-account-form" (submit)="onSubmit($event)">
  <dx-form [formData]="formData" [disabled]="loading">

    <dxi-item dataField="identification" editorType="dxTextBox"
      [editorOptions]="{ stylingMode: 'filled', placeholder: 'Identificación' }">
      <dxi-validation-rule type="required" message="Identificación es requerido"></dxi-validation-rule>
      <dxo-label [visible]="false"></dxo-label>
    </dxi-item>

    <dxi-item dataField="password" editorType="dxTextBox"
      [editorOptions]="{ stylingMode: 'filled', placeholder: 'Contraseña', mode: 'password' }">
      <dxi-validation-rule type="required" message="Contraseña es requerido"></dxi-validation-rule>
      <dxo-label [visible]="false"></dxo-label>
    </dxi-item>

    <dxi-item dataField="confirmedPassword" editorType="dxTextBox"
      [editorOptions]="{ stylingMode: 'filled', placeholder: 'Confirmar contraseña', mode: 'password' }">
      <dxi-validation-rule type="required" message="Contraseña es requerida"></dxi-validation-rule>
      <dxi-validation-rule type="custom" message="Las contraseña deben coincidir" [validationCallback]="confirmPassword">
      </dxi-validation-rule>
      <dxo-label [visible]="false"></dxo-label>
    </dxi-item>

    <dxi-item itemType="button">
      <dxo-button-options width="100%" type="default" [useSubmitBehavior]="true" [template]="'createAccountTemplate'">
      </dxo-button-options>
    </dxi-item>

    <dxi-item>
      <div class="login-link">
        no tienes una cuenta? <a routerLink="/login">Iniciar sesión</a>
      </div>
    </dxi-item>

    <ng-container *dxTemplate="let item of 'createAccountTemplate'">
      <div>
        <span class="dx-button-text">
          <ng-container *ngIf="loading; else notLoading">
            <dx-load-indicator width="24px" height="24px" [visible]="true"></dx-load-indicator>
          </ng-container>
  
          <ng-template #notLoading>Crear nueva cuenta</ng-template>
        </span>
      </div>
    </ng-container>

  </dx-form>
</form>
